﻿using UnityEngine;
using System.Collections;

public class TestLoadPanel : MonoBehaviour 
{
	
	// Use this for initialization
	//void Start () {
	//
	//}

	void hello(string arg)
	{
		Debug.Log("hello() invoked!");
	}
	
	// Update is called once per frame
	//void Update ()
	//void Start()

	void Update()
	{
		this.enabled = false; //hack
		PanelButtonsArray pba = PanelButtonsArray.getSingleton();
		if (pba != null)
		{
			ButtonInfo button = new ButtonInfo("Hello", this.hello, "");
			pba.addButton(button);
		}
		else
		{
			Debug.LogError("missing panel buttons array singleton!");
		}

		PanelDecisionTemplate pdt = PanelDecisionTemplate.getSingleton();
		if (pdt != null)
		{
			pdt.SetImage("Prefabs/CharacterImages/Firefox_icon");
			pdt.SetText("I heart IE6 ^ ^");
		}
		else
		{
			Debug.Log("null paneldecisiontemplate singleton!");
		}

		Scene3DController s3c = Scene3DController.getSingleton();
		if (s3c != null)
		{
			s3c.setCamera(1);
			s3c.showObject("CasinoRoom", 0, 0, 0);
			for (int i = 0; i < 18; i++)
			{
				s3c.showObject("SlotMachine", 8.5f - (float)i, -9f, 0);
			}
			s3c.showObject("PlayerGambler", -0.5f, -8, 0);
		}
		else
		{
			Debug.LogError("null scene3dcontroller singleton!");
		}
	}
}
