﻿using UnityEngine;
using System.Collections;

public class ButtonInfo
{
	public delegate void ButtonCallback(string arg);

	public string buttonText;
	public ButtonCallback callback;
	public string useArg;

	public ButtonInfo(string setText, ButtonCallback setCallback, string setArg)
	{
		setup(setText, setCallback, setArg);

	}

	private void setup(string setText, ButtonCallback setCallback, string setArg)
	{
		this.buttonText = setText;
		this.callback = setCallback;
		this.useArg = setArg;
	}
	public ButtonInfo(ButtonInfo copy)
	{
		setup(copy.buttonText, copy.callback, copy.useArg);
	}

	public void invoke()
	{
		callback(useArg);
	}
}
