﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;
using System.Collections.Generic;

public class LuckSliderController : MonoBehaviour {

    public static LuckSliderController instance;
    Slider slider;

    void Awake()
    {
        if(instance == null)
        {
            instance = this;
        }
        slider = GetComponent<Slider>();
    }

    void Update()
    {
        SetLuck();
    }
	
	void SetLuck()
    {
        if(GamePlay.getSingleton().getDay() < 1)
        {
            slider.value = 0.0f;
        }
        else
        {
            slider.value = GamePlay.getSingleton().getLuck() / 5.0f;
            if(GamePlay.getSingleton().getLuck() < 0)
            {
                slider.value = 0.0f;
            }
            if(GamePlay.getSingleton().getLuck() > 5)
            {
                slider.value = 1.0f;
            }
        }
    }
}
